## liblol-dkms 0.1.1

=== Makefile ===
obj-m += la_ow_syscall.o fsstat.o la_ow_syscall_main.o signal.o

KVER ?= $(shell uname -r)
KDIR ?= /lib/modules/$(KVER)/build
VERSION ?= $(shell cat VERSION)

default:
	$(MAKE) -C $(KDIR) M=$(CURDIR) modules

clean:
	$(MAKE) -C $(KDIR) M=$(CURDIR) clean

install:
	$(MAKE) -C $(KDIR) M=$(CURDIR) modules_install

dkms.conf: dkms.conf.in
	m4 -DVERSION=$(VERSION) $^ > $@

dkms-add: dkms.conf
	/usr/sbin/dkms add $(CURDIR)

dkms-build: dkms.conf
	/usr/sbin/dkms build la_ow_syscall/$(VERSION)

dkms-install: dkms.conf
	/usr/sbin/dkms install la_ow_syscall/$(VERSION)

dkms-remove: dkms.conf
	/usr/sbin/dkms remove la_ow_syscall/$(VERSION) --all

modprobe-install:
	modprobe la_ow_syscall

modprobe-remove:
	modprobe -r la_ow_syscall

dev: modprobe-remove dkms-remove dkms-add dkms-build dkms-install modprobe-install

## liblol-dkms 0.1.0

=== debian/changelog ===
liblol-dkms (0.1.0) unstable; urgency=low

  * Initial build

 -- Miao Wang <shankerwangmiao@gmail.com>  Sun, 28 Jan 2024 09:12:00 +0800

=== debian/control ===
Source: liblol-dkms
Section: kernel
Priority: extra
Maintainer: Miao Wang <shankerwangmiao@gmail.com>
Build-Depends: debhelper-compat (= 13),
               dkms, dh-dkms,
Standards-Version: 4.6.2
Homepage: https://github.com/AOSC-Dev/la_ow_syscall

Package: liblol-dkms
Architecture: loong64
Depends: ${misc:Depends}, dkms
Conflicts: glibc
Description: Compatibility layer kmod for old world applications
  This package contains a compatibility layer for old world
  applications on new world loongarch64 platform.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with dkms

override_dh_auto_build:
	make dkms.conf VERSION="#MODULE_VERSION#"

override_dh_auto_clean:
	rm -rf dkms.conf

TMPDIR ?= debian/tmp

override_dh_auto_install:
	install -Dvm644 \
		Kbuild \
		Makefile \
		fsstat.c \
		fsstat.h \
		la_ow_syscall_main.c \
		signal.c \
		signal.h \
		-t $(TMPDIR)/usr/src/la_ow_syscall-$(DEB_VERSION_UPSTREAM)
	install -Dvm644 \
		debian/kmod-autoload.conf \
		$(TMPDIR)/usr/lib/modules-load.d/liblol.conf

override_dh_dkms:
	dh_dkms -V $(DEB_VERSION_UPSTREAM)

## liblol-dkms 0.1.1

=== debian/changelog ===
liblol-dkms (0.1.1) unstable; urgency=low

  * Release 0.1.1

 -- Miao Wang <shankerwangmiao@gmail.com>  Wed, 18 Sep 2024 23:32:00 +0800

liblol-dkms (0.1.1~pre1) unstable; urgency=low

  * Add support for kernel 6.11, where fstat and newfstat are introduced.

 -- Miao Wang <shankerwangmiao@gmail.com>  Sun, 01 Sep 2024 00:48:00 +0800

=== debian/rules ===
--- 
+++ 
@@ -17,11 +17,15 @@
 	install -Dvm644 \
 		Kbuild \
 		Makefile \
+		VERSION \
+		feat_test.c \
 		fsstat.c \
 		fsstat.h \
 		la_ow_syscall_main.c \
 		signal.c \
 		signal.h \
+		systable.c \
+		systable.h \
 		-t $(TMPDIR)/usr/src/la_ow_syscall-$(DEB_VERSION_UPSTREAM)
 	install -Dvm644 \
 		debian/kmod-autoload.conf \
